> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete v3consumers contracts relationships 



## OpenAPI

````yaml /lumx_openapi.yaml delete /v3/consumers/{userID}/contracts/{contractID}/relationships/{relationship_id}/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company
  - name: Consumer API
    description: >-
      Manage consumers, their contracts, products, readings, and charges or
      credits
  - name: Consumption Forecast API
    description: Retrieve consumption forecasts for grid contracts
  - name: Customer Portal API
    description: Request a customer portal password reset
  - name: Customer API
    description: Retrieve product and pricing information for a customer contract
  - name: Files API
    description: Upload files and receive identifiers for use in other API requests
  - name: Market Partner API
    description: List market partners and retrieve market partner bills and payment advices
  - name: Master Data API
    description: Submit and track changes to customer and redispatch master data
  - name: Migration API
    description: Migrate consumer contracts and add contracts during migration
  - name: Offer Calculator API
    description: Calculate customer offers for a tariff and the supplied parameters
  - name: Price Calculator API
    description: >-
      Retrieve day-ahead electricity prices, local utility prices, and estimated
      CO₂ savings
  - name: Producer API
    description: >-
      Manage producers, their contracts, plants, feed-in data, and charges or
      credits
  - name: User Documents API
    description: List and retrieve documents associated with users and their contracts
  - name: Validation API
    description: >-
      Validate market location identifiers, IBANs, and preferred delivery start
      dates
paths:
  /v3/consumers/{userID}/contracts/{contractID}/relationships/{relationship_id}/:
    delete:
      tags:
        - Consumer API
      operationId: consumers_contracts_relationships_destroy
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
          required: true
        - in: path
          name: relationship_id
          schema:
            type: string
          required: true
        - in: path
          name: userID
          schema:
            type: string
          required: true
      responses:
        '204':
          description: No response body
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorRelationshipDelete'
              examples:
                ValidUntilShouldBeInTheFuture:
                  value:
                    detail: valid_until in the past
                  summary: valid_until should be in the future
                ValidUntilNotTheEndOfTheMonth:
                  value:
                    detail: valid_until not the end of the month
                  summary: valid_until not the end of the month
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorRelationshipDelete'
              examples:
                ContractIDNotFound:
                  value:
                    detail: Contract ID not found in database
                  summary: ContractID Not Found
                RelationshipIdNotFound:
                  value:
                    detail: relationship_id not found in database
                  summary: relationship_id Not Found
          description: ''
components:
  schemas:
    ValidationErrorRelationshipDelete:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    NotFoundErrorRelationshipDelete:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.